Subject: bug#23928: 25.0.95; Performance regression observable with smartparens

From: Aaron Jensen <[email-masked]>
Date: Sun, 10 Jul 2016 16:53:45 +0000

On Sun, Jul 10, 2016 at 9:15 AM Eli Zaretskii <[email-masked]> wrote:

> > Or is there another way to ensure that `looking-at` is case sensitive?
>
> Does smartparens really care about this?  Why?
>

I’d imagine because of things like ruby’s do/end. It wouldn’t want to match
DO/Do/etc.

By the way, I tested without the bind and smartparens doesn’t even show up
on the profile. Thank you very much for helping me track it down.

Would it be worth putting a warning in the docs of `let` for this case? Is
it only case-fold-search or are there other vars that require per buffer
updates to rebind?
-- 
Aaron